"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CppImplementationCreator = void 0;
class CppImplementationCreator {
    static craete(className, boundMethods, constructorExpressions, destructorExpressions, methodImplementations) {
        let cppImplementation = `
/* ${className}.cpp */

#include "${className}.h"


void ${className}::_bind_methods() 
{
  ${boundMethods}
}

${className}::${className}() 
{
  ${constructorExpressions}
}

${className}::~${className}()
{
  ${destructorExpressions}
}

${methodImplementations}

`;
        return cppImplementation;
    }
}
exports.CppImplementationCreator = CppImplementationCreator;
//# sourceMappingURL=CppImplementationCreator.js.map