"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Implementation = void 0;
class Implementation {
    static craete(className, boundMethods, constructorExpressions, destructorExpressions, methodImplementations) {
        let cppImplementation = `
/* ${className}.cpp */

#include "${className}.h"

//  Registers fields, signals and methods for Godot
void ${className}::_bind_methods() 
{
  ${boundMethods}
}

//  Constructor
${className}::${className}() 
{
  ${constructorExpressions}
}

// Destructor
${className}::~${className}()
{
  ${destructorExpressions}
}

${methodImplementations}

`;
        return cppImplementation;
    }
}
exports.Implementation = Implementation;
//# sourceMappingURL=Implementation.js.map